Quassel IRC - Bug #1526

quasselcore - unhandled error in QSqlQuery
06/18/2019 02:05 PM - blackntan

Status: Resolved Start date: 06/18/2019
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: Some future release

Version: 0.13.0 0S: Linux
Description

v0.14-pre+113 git-5617bd86

Jun 18 11:21:34 vpc quasselcore[3274]: 2019-06-18 11:21:34 [Error] unhandled Error in QSglQuery!
Jun 18 11:21:34 vpc quasselcore[3274]: 2019-06-18 11:21:34 [Error] last Query:
Jun 18 11:21:34 vpc quasselcore([3274]: INSERT INTO buffer (userid, networkid, buffername, buffercn
ame, buffertype, jo

Jun 18 11:21:34 vpc quasselcore([3274]: VALUES (:userid, :networkid, :buffername, :buffercname, :bu
ffertype, :joined)

Jun 18 11:21:34 vpc quasselcore[3274]: RETURNING bufferid

Jun 18 11:21:34 vpc quasselcore[3274]: 2019-06-18 11:21:34 [Error] executed Query:
Jun 18 11:21:34 vpc quasselcore[3274]: INSERT INTO buffer (userid, networkid, buffername, buffercn
ame, buffertype, jo

Jun 18 11:21:34 vpc quasselcore[3274]: VALUES (2, 2, 2, 2, 2, ?)

Jun 18 11:21:34 vpc quasselcore([3274]: RETURNING bufferid

Jun 18 11:21:34 vpc quasselcore([3274]: 2019-06-18 11:21:34 [Error] bound Values:
buffercname="#mpdm-

Jun 18 11:21:34 vpc quasselcore[3274]: 2019-06-18 11:21:34 [Error] Error Number: 2
2001

Jun 18 11:21:34 vpc systemd[1l]: quasselcore.service: main process exited, code=killed, status=6/AB
RT

Jun 18 11:21:34 vpc systemd[l]: Unit quasselcore.service entered failed state.

Jun 18 11:21:34 vpc systemd[l]: quasselcore.service failed.

Associated revisions

Revision 9fa6f420 - 11/28/2020 01:42 PM - blackntan

sqgl: Remove PostgreSQL text limits, fixes hangs

Modify all PostgreSQL text column limits to the unlimited TEXT type

instead of VARCHAR. Modern PostgreSQL versions (year 2000 onward) do
not store text any differently depending on whether or not it's TEXT

or VARCHAR.

https://www.postgresql.org/message-id/20667.971213689%40sss.pgh.pa.us
This avoids having the core fail to save values or hang entirely, and

also addresses migration issues from SQLite where text limits aren't
applied.

See https://bugs.quassel-irc.org/issues/1526

This shouldn't introduce any noticeable performance impact:

https://stackoverflow.com/questions/1067061/does-a-varchar-fields-declared-size-have-any-impact-in-postgresql

Fix up a spurious length-limited field for SQLite in case length
limits are applied in newer SQLite versions.

The proper long-term fix is to implement length checks throughout the
Quassel core (sanitizing data) and client (to warn of length issues),
rather than relying on the database to enforce limits.

Sponsored by Postgres Phone Plans. UNLIMITED TEXT, TALK, and DATA for
$9.99 a month! Some restrictions apply. This is not serious.
[Commit squashed from "jcolson", thanks!]
See https://github.com/quassel/quassel/pull/478

Fixes GH-478
Fixes #1526

History

#1 - 06/18/2019 02:08 PM - blackntan
v0.14-pre+113 git-5617bd86

Jun 18 11:21:34 vpc quasselcore[3274]: 2019-06-18 11:21:34 [Error] unhandled Error in QSglQuery!

Jun 18 11:21:34 vpc quasselcore([3274]: 2019-06-18 11:21:34 [Error] last Query:

Jun 18 11:21:34 vpc quasselcore[3274]: INSERT INTO buffer (userid, networkid, buffername, buffercname, buffert
ype, joined)

Jun 18 11:21:34 vpc quasselcore[3274]: VALUES (:userid, :networkid, :buffername, :buffercname, :buffertype, :j
oined)

Jun 18 11:21:34 vpc quasselcore[3274]: RETURNING bufferid

Jun 18 11:21:34 vpc quasselcore[3274]: 2019-06-18 11:21:34 [Error] executed Query:

Jun 18 11:21:34 vpc quasselcore[3274]: INSERT INTO buffer (userid, networkid, buffername, buffercname, buffert
ype, joined)

Jun 18 11:21:34 vpc quasselcore[3274]: VALUES (?, 2, 2, 2, 2?2, ?)

Jun 18 11:21:34 vpc quasselcore[3274]: RETURNING bufferid

Jun 18 11:21:34 vpc quasselcore[3274]: 2019-06-18 11:21:34 [Error] bound Values: :buffercname=

'#mpdm-declan.oshanahan--jay.colson--paul.richardson--nicky.white--cian.osullivan--cian.doyle--carol.croke--co

lum.walsh--max.bacik-1",

sullivan--cian.doyle--carol.croke--colum.walsh--max.bacik-1",

id=1

Jun 18 11:21:34 vpc quasselcore[3274]: 2019-06-18 11:21:34
Jun 18 11:21:34 vpc systemd[1l]: quasselcore.service:

Jun 18 11:21:34 vpc systemd[1l]:

Jun 18 11:21:34 vpc systemd[l]: quasselcore.service failed.

#2 - 06/19/2019 12:37 PM - blackntan
fixed via https://github.com/quassel/quassel/pull/478

#3 - 11/28/2020 01:42 PM - blackntan
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|9fa6f42009ada45e4787972b5e137ba19876c8dd.

04/20/2024

main process exited,

:buffername="'#mpdm-declan.oshanahan--jay.colson--paul.richardson--nicky.white--cian.o

:buffertype=2, :joined=TRUE, :networkid=2, :user

Error Number: 22001
code=killed, status=6/ABRT

[Error]

Unit quasselcore.service entered failed state.
